# Draw
TKViewerTest
ViewerTest

# ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName Class Reference

`#include <ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName ()
Standard_EXPORT | ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName (const ViewerTest_DoubleMapOfInteractiveAndName &aMap)
Standard_EXPORT void | Initialize (const ViewerTest_DoubleMapOfInteractiveAndName &aMap)
Standard_EXPORT const Handle_AIS_InteractiveObject & | Key1 () const
Standard_EXPORT const TCollection_AsciiString & | Key2 () const

## Constructor & Destructor Documentation

Standard_EXPORT ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName | ( |  | ) |

Standard_EXPORT ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName | ( | const ViewerTest_DoubleMapOfInteractiveAndName & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::Initialize | ( | const ViewerTest_DoubleMapOfInteractiveAndName & | aMap | ) |

Standard_EXPORT const Handle_AIS_InteractiveObject& ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::Key1 | ( |  | ) | const

Standard_EXPORT const TCollection_AsciiString& ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::Key2 | ( |  | ) | const

void ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::operator new | ( | size_t | size | ) | `[inline]`

void* ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- ViewerTest_DoubleMapIteratorOfDoubleMapOfInteractiveAndName.hxx